D_RECREAD(1)

NAME
d_recread - read the contents of the current record

SYNOPSIS
#include <typhoon.h>
d_recread(void *buf)

DESCRIPTION
d_recread reads the contents of the current record into buf. If there is no current record, S_NOCR is returned.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    The record was successfully read.

S_NOCD
    There is no current database.

S_NOCR
    There is no current record.

S_INVREC
    The record id is not valid.

CURRENCY CHANGES
None.

EXAMPLE
#include <typhoon.h> struct customer cust;
strcpy(cust.name, "Pedersen");
if( d_keyfind(CUSTOMER_NAME, &cust.name) == S_OKAY )
{
    d_recread(&cust);
    printf("account number is %lu\n", cust.account);
}

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1994 Thomas B. Pedersen.

SEE ALSO
d_recwrite(1)